[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.ReadQWordBE

Read a QWord from the stream, big endian

## Declaration

Source position: streamex.pp line 192

`function TStreamHelper.ReadQWordBE: QWord;`

## Function result

The QWord value

## Description

ReadWordBE reads a QWord from the stream, big-endian (MSB first).

## Errors

If not enough data is available an EReadError exception is raised.

## See also

TStreamHelper.ReadWordBE |  | Read a Word from the stream, big endian
TStreamHelper.ReadDWordBE |  | Read a DWord from the stream, big endian
TStreamHelper.WriteQWordBE |  | Write a QWord value, big endian